drop database lportal;
create database lportal;

go

use lportal;

create table Address (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	addressId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	countryId bigint,
	listTypeId bigint,
	regionId bigint,
	city nvarchar(75) null,
	description nvarchar(4000) null,
	latitude float,
	longitude float,
	mailing bit,
	name nvarchar(255) null,
	primary_ bit,
	street1 nvarchar(255) null,
	street2 nvarchar(255) null,
	street3 nvarchar(255) null,
	validationDate datetime2(6) null,
	validationStatus int,
	zip nvarchar(75) null,
	primary key (addressId, ctCollectionId)
);

create table AnnouncementsDelivery (
	mvccVersion bigint default 0 not null,
	deliveryId bigint not null primary key,
	companyId bigint,
	userId bigint,
	type_ nvarchar(75) null,
	email bit,
	sms bit,
	website bit
);

create table AnnouncementsEntry (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	entryId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	title nvarchar(75) null,
	content nvarchar(max) null,
	url nvarchar(4000) null,
	type_ nvarchar(75) null,
	displayDate datetime2(6) null,
	expirationDate datetime2(6) null,
	priority int,
	alert bit,
	primary key (entryId, ctCollectionId)
);

create table AnnouncementsFlag (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	flagId bigint not null,
	companyId bigint,
	userId bigint,
	createDate datetime2(6) null,
	entryId bigint,
	value int,
	primary key (flagId, ctCollectionId)
);

create table AssetCategory (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	categoryId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	parentCategoryId bigint,
	treePath nvarchar(4000) null,
	name nvarchar(255) null,
	title nvarchar(max) null,
	description nvarchar(max) null,
	vocabularyId bigint,
	lastPublishDate datetime2(6) null,
	primary key (categoryId, ctCollectionId)
);

create table AssetEntries_AssetTags (
	companyId bigint not null,
	entryId bigint not null,
	tagId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (entryId, tagId, ctCollectionId)
);

create table AssetEntry (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	entryId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	classUuid nvarchar(75) null,
	classTypeId bigint,
	listable bit,
	visible bit,
	startDate datetime2(6) null,
	endDate datetime2(6) null,
	publishDate datetime2(6) null,
	expirationDate datetime2(6) null,
	mimeType nvarchar(75) null,
	title nvarchar(max) null,
	description nvarchar(max) null,
	summary nvarchar(max) null,
	url nvarchar(4000) null,
	layoutUuid nvarchar(75) null,
	height int,
	width int,
	priority float,
	primary key (entryId, ctCollectionId)
);

create table AssetTag (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	tagId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(75) null,
	assetCount int,
	lastPublishDate datetime2(6) null,
	primary key (tagId, ctCollectionId)
);

create table AssetVocabulary (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	vocabularyId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(75) null,
	title nvarchar(4000) null,
	description nvarchar(4000) null,
	settings_ nvarchar(4000) null,
	visibilityType int,
	lastPublishDate datetime2(6) null,
	primary key (vocabularyId, ctCollectionId)
);

create table BrowserTracker (
	mvccVersion bigint default 0 not null,
	browserTrackerId bigint not null primary key,
	companyId bigint,
	userId bigint,
	browserKey bigint
);

create table ClassName_ (
	mvccVersion bigint default 0 not null,
	classNameId bigint not null primary key,
	value nvarchar(200) null
);

create table Company (
	mvccVersion bigint default 0 not null,
	companyId bigint not null primary key,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	webId nvarchar(75) null,
	mx nvarchar(200) null,
	homeURL nvarchar(4000) null,
	logoId bigint,
	maxUsers int,
	active_ bit,
	name nvarchar(75) null,
	legalName nvarchar(75) null,
	legalId nvarchar(75) null,
	legalType nvarchar(75) null,
	sicCode nvarchar(75) null,
	tickerSymbol nvarchar(75) null,
	industry nvarchar(75) null,
	type_ nvarchar(75) null,
	size_ nvarchar(75) null,
	indexNameCurrent nvarchar(75) null,
	indexNameNext nvarchar(75) null
);

create table CompanyInfo (
	mvccVersion bigint default 0 not null,
	companyInfoId bigint not null primary key,
	companyId bigint,
	key_ nvarchar(max) null
);

create table Contact_ (
	mvccVersion bigint default 0 not null,
	contactId bigint not null primary key,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	parentContactId bigint,
	emailAddress nvarchar(254) null,
	firstName nvarchar(75) null,
	middleName nvarchar(75) null,
	lastName nvarchar(75) null,
	prefixListTypeId bigint,
	suffixListTypeId bigint,
	male bit,
	birthday datetime2(6) null,
	smsSn nvarchar(75) null,
	facebookSn nvarchar(75) null,
	jabberSn nvarchar(75) null,
	skypeSn nvarchar(75) null,
	twitterSn nvarchar(75) null,
	employeeStatusId nvarchar(75) null,
	employeeNumber nvarchar(75) null,
	jobTitle nvarchar(100) null,
	jobClass nvarchar(75) null,
	hoursOfOperation nvarchar(75) null
);

create table Counter (
	name nvarchar(150) not null primary key,
	currentId bigint
);

create table Country (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	defaultLanguageId nvarchar(75) null,
	countryId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	a2 nvarchar(75) null,
	a3 nvarchar(75) null,
	active_ bit,
	billingAllowed bit,
	groupFilterEnabled bit,
	idd_ nvarchar(75) null,
	name nvarchar(75) null,
	number_ nvarchar(75) null,
	position float,
	shippingAllowed bit,
	subjectToVAT bit,
	zipRequired bit,
	lastPublishDate datetime2(6) null,
	primary key (countryId, ctCollectionId)
);

create table CountryLocalization (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	countryLocalizationId bigint not null,
	companyId bigint,
	countryId bigint,
	languageId nvarchar(75) null,
	title nvarchar(75) null,
	primary key (countryLocalizationId, ctCollectionId)
);

create table DLFileEntry (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	fileEntryId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	repositoryId bigint,
	folderId bigint,
	treePath nvarchar(4000) null,
	name nvarchar(255) null,
	fileName nvarchar(255) null,
	extension nvarchar(75) null,
	mimeType nvarchar(75) null,
	title nvarchar(255) null,
	description nvarchar(4000) null,
	extraSettings nvarchar(max) null,
	fileEntryTypeId bigint,
	version nvarchar(75) null,
	size_ bigint,
	smallImageId bigint,
	largeImageId bigint,
	custom1ImageId bigint,
	custom2ImageId bigint,
	manualCheckInRequired bit,
	expirationDate datetime2(6) null,
	reviewDate datetime2(6) null,
	lastPublishDate datetime2(6) null,
	primary key (fileEntryId, ctCollectionId)
);

create table DLFileEntryMetadata (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	fileEntryMetadataId bigint not null,
	companyId bigint,
	DDMStorageId bigint,
	DDMStructureId bigint,
	fileEntryId bigint,
	fileVersionId bigint,
	primary key (fileEntryMetadataId, ctCollectionId)
);

create table DLFileEntryType (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	fileEntryTypeId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	dataDefinitionId bigint,
	fileEntryTypeKey nvarchar(75) null,
	name nvarchar(4000) null,
	description nvarchar(4000) null,
	scope int,
	lastPublishDate datetime2(6) null,
	primary key (fileEntryTypeId, ctCollectionId)
);

create table DLFileEntryTypes_DLFolders (
	companyId bigint not null,
	fileEntryTypeId bigint not null,
	folderId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (fileEntryTypeId, folderId, ctCollectionId)
);

create table DLFileShortcut (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	fileShortcutId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	repositoryId bigint,
	folderId bigint,
	toFileEntryId bigint,
	treePath nvarchar(4000) null,
	active_ bit,
	lastPublishDate datetime2(6) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null,
	primary key (fileShortcutId, ctCollectionId)
);

create table DLFileVersion (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	fileVersionId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	repositoryId bigint,
	folderId bigint,
	fileEntryId bigint,
	treePath nvarchar(4000) null,
	fileName nvarchar(255) null,
	extension nvarchar(75) null,
	mimeType nvarchar(75) null,
	title nvarchar(255) null,
	description nvarchar(4000) null,
	changeLog nvarchar(75) null,
	extraSettings nvarchar(max) null,
	fileEntryTypeId bigint,
	version nvarchar(75) null,
	size_ bigint,
	checksum nvarchar(75) null,
	storeUUID nvarchar(255) null,
	expirationDate datetime2(6) null,
	reviewDate datetime2(6) null,
	lastPublishDate datetime2(6) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null,
	primary key (fileVersionId, ctCollectionId)
);

create table DLFolder (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	folderId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	repositoryId bigint,
	mountPoint bit,
	parentFolderId bigint,
	treePath nvarchar(4000) null,
	name nvarchar(255) null,
	description nvarchar(4000) null,
	lastPostDate datetime2(6) null,
	defaultFileEntryTypeId bigint,
	hidden_ bit,
	restrictionType int,
	lastPublishDate datetime2(6) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null,
	primary key (folderId, ctCollectionId)
);

create table EmailAddress (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	emailAddressId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	address nvarchar(254) null,
	listTypeId bigint,
	primary_ bit,
	primary key (emailAddressId, ctCollectionId)
);

create table ExpandoColumn (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	columnId bigint not null,
	companyId bigint,
	modifiedDate datetime2(6) null,
	tableId bigint,
	name nvarchar(75) null,
	type_ int,
	defaultData nvarchar(max) null,
	typeSettings nvarchar(max) null,
	primary key (columnId, ctCollectionId)
);

create table ExpandoRow (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	rowId_ bigint not null,
	companyId bigint,
	modifiedDate datetime2(6) null,
	tableId bigint,
	classPK bigint,
	primary key (rowId_, ctCollectionId)
);

create table ExpandoTable (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	tableId bigint not null,
	companyId bigint,
	classNameId bigint,
	name nvarchar(75) null,
	primary key (tableId, ctCollectionId)
);

create table ExpandoValue (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	valueId bigint not null,
	companyId bigint,
	tableId bigint,
	columnId bigint,
	rowId_ bigint,
	classNameId bigint,
	classPK bigint,
	data_ nvarchar(max) null,
	primary key (valueId, ctCollectionId)
);

create table ExportImportConfiguration (
	mvccVersion bigint default 0 not null,
	exportImportConfigurationId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(200) null,
	description nvarchar(4000) null,
	type_ int,
	settings_ nvarchar(max) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null
);

create table Group_ (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	groupId bigint not null,
	companyId bigint,
	creatorUserId bigint,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	parentGroupId bigint,
	liveGroupId bigint,
	treePath nvarchar(4000) null,
	groupKey nvarchar(150) null,
	name nvarchar(4000) null,
	description nvarchar(4000) null,
	type_ int,
	typeSettings nvarchar(max) null,
	manualMembership bit,
	membershipRestriction int,
	friendlyURL nvarchar(255) null,
	site bit,
	remoteStagingGroupCount int,
	inheritContent bit,
	active_ bit,
	primary key (groupId, ctCollectionId)
);

create table Groups_Orgs (
	companyId bigint not null,
	groupId bigint not null,
	organizationId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (groupId, organizationId, ctCollectionId)
);

create table Groups_Roles (
	companyId bigint not null,
	groupId bigint not null,
	roleId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (groupId, roleId, ctCollectionId)
);

create table Groups_UserGroups (
	companyId bigint not null,
	groupId bigint not null,
	userGroupId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (groupId, userGroupId, ctCollectionId)
);

create table Image (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	imageId bigint not null,
	companyId bigint,
	modifiedDate datetime2(6) null,
	type_ nvarchar(75) null,
	height int,
	width int,
	size_ int,
	primary key (imageId, ctCollectionId)
);

create table Layout (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	plid bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	parentPlid bigint,
	privateLayout bit,
	layoutId bigint,
	parentLayoutId bigint,
	classNameId bigint,
	classPK bigint,
	name nvarchar(4000) null,
	title nvarchar(max) null,
	description nvarchar(max) null,
	keywords nvarchar(4000) null,
	robots nvarchar(4000) null,
	type_ nvarchar(75) null,
	typeSettings nvarchar(max) null,
	hidden_ bit,
	system_ bit,
	friendlyURL nvarchar(255) null,
	iconImageId bigint,
	themeId nvarchar(75) null,
	colorSchemeId nvarchar(75) null,
	styleBookEntryId bigint,
	css nvarchar(max) null,
	priority int,
	faviconFileEntryId bigint,
	masterLayoutPlid bigint,
	layoutPrototypeUuid nvarchar(75) null,
	layoutPrototypeLinkEnabled bit,
	sourcePrototypeLayoutUuid nvarchar(75) null,
	publishDate datetime2(6) null,
	lastPublishDate datetime2(6) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null,
	primary key (plid, ctCollectionId)
);

create table LayoutBranch (
	mvccVersion bigint default 0 not null,
	layoutBranchId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	layoutSetBranchId bigint,
	plid bigint,
	name nvarchar(75) null,
	description nvarchar(4000) null,
	master bit
);

create table LayoutFriendlyURL (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	layoutFriendlyURLId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	plid bigint,
	privateLayout bit,
	friendlyURL nvarchar(255) null,
	languageId nvarchar(75) null,
	lastPublishDate datetime2(6) null,
	primary key (layoutFriendlyURLId, ctCollectionId)
);

create table LayoutPrototype (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	layoutPrototypeId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(max) null,
	description nvarchar(max) null,
	settings_ nvarchar(4000) null,
	active_ bit,
	primary key (layoutPrototypeId, ctCollectionId)
);

create table LayoutRevision (
	mvccVersion bigint default 0 not null,
	layoutRevisionId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	layoutSetBranchId bigint,
	layoutBranchId bigint,
	parentLayoutRevisionId bigint,
	head bit,
	major bit,
	plid bigint,
	privateLayout bit,
	name nvarchar(4000) null,
	title nvarchar(4000) null,
	description nvarchar(4000) null,
	keywords nvarchar(4000) null,
	robots nvarchar(4000) null,
	typeSettings nvarchar(max) null,
	iconImageId bigint,
	themeId nvarchar(75) null,
	colorSchemeId nvarchar(75) null,
	css nvarchar(max) null,
	status int,
	statusByUserId bigint,
	statusByUserName nvarchar(75) null,
	statusDate datetime2(6) null
);

create table LayoutSet (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	layoutSetId bigint not null,
	groupId bigint,
	companyId bigint,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	privateLayout bit,
	logoId bigint,
	themeId nvarchar(75) null,
	colorSchemeId nvarchar(75) null,
	faviconFileEntryId bigint,
	css nvarchar(max) null,
	settings_ nvarchar(max) null,
	layoutSetPrototypeUuid nvarchar(75) null,
	layoutSetPrototypeLinkEnabled bit,
	primary key (layoutSetId, ctCollectionId)
);

create table LayoutSetBranch (
	mvccVersion bigint default 0 not null,
	layoutSetBranchId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	privateLayout bit,
	name nvarchar(75) null,
	description nvarchar(4000) null,
	master bit,
	logoId bigint,
	themeId nvarchar(75) null,
	colorSchemeId nvarchar(75) null,
	css nvarchar(max) null,
	settings_ nvarchar(max) null,
	layoutSetPrototypeUuid nvarchar(75) null,
	layoutSetPrototypeLinkEnabled bit
);

create table LayoutSetPrototype (
	mvccVersion bigint default 0 not null,
	uuid_ nvarchar(75) null,
	layoutSetPrototypeId bigint not null primary key,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(max) null,
	description nvarchar(max) null,
	settings_ nvarchar(4000) null,
	active_ bit
);

create table ListType (
	mvccVersion bigint default 0 not null,
	listTypeId bigint not null primary key,
	companyId bigint,
	name nvarchar(75) null,
	type_ nvarchar(75) null
);

create table MembershipRequest (
	mvccVersion bigint default 0 not null,
	membershipRequestId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	createDate datetime2(6) null,
	comments nvarchar(4000) null,
	replyComments nvarchar(4000) null,
	replyDate datetime2(6) null,
	replierUserId bigint,
	statusId bigint
);

create table OrgLabor (
	mvccVersion bigint default 0 not null,
	orgLaborId bigint not null primary key,
	companyId bigint,
	organizationId bigint,
	listTypeId bigint,
	sunOpen int,
	sunClose int,
	monOpen int,
	monClose int,
	tueOpen int,
	tueClose int,
	wedOpen int,
	wedClose int,
	thuOpen int,
	thuClose int,
	friOpen int,
	friClose int,
	satOpen int,
	satClose int
);

create table Organization_ (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	organizationId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	parentOrganizationId bigint,
	treePath nvarchar(4000) null,
	name nvarchar(100) null,
	type_ nvarchar(75) null,
	recursable bit,
	regionId bigint,
	countryId bigint,
	statusListTypeId bigint,
	comments nvarchar(4000) null,
	logoId bigint,
	primary key (organizationId, ctCollectionId)
);

create table PasswordPolicy (
	mvccVersion bigint default 0 not null,
	uuid_ nvarchar(75) null,
	passwordPolicyId bigint not null primary key,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	defaultPolicy bit,
	name nvarchar(75) null,
	description nvarchar(4000) null,
	changeable bit,
	changeRequired bit,
	minAge bigint,
	checkSyntax bit,
	allowDictionaryWords bit,
	minAlphanumeric int,
	minLength int,
	minLowerCase int,
	minNumbers int,
	minSymbols int,
	minUpperCase int,
	regex nvarchar(4000) null,
	history bit,
	historyCount int,
	expireable bit,
	maxAge bigint,
	warningTime bigint,
	graceLimit int,
	lockout bit,
	maxFailure int,
	lockoutDuration bigint,
	requireUnlock bit,
	resetFailureCount bigint,
	resetTicketMaxAge bigint
);

create table PasswordPolicyRel (
	mvccVersion bigint default 0 not null,
	passwordPolicyRelId bigint not null primary key,
	companyId bigint,
	passwordPolicyId bigint,
	classNameId bigint,
	classPK bigint
);

create table PasswordTracker (
	mvccVersion bigint default 0 not null,
	passwordTrackerId bigint not null primary key,
	companyId bigint,
	userId bigint,
	createDate datetime2(6) null,
	password_ nvarchar(75) null
);

create table Phone (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	phoneId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	number_ nvarchar(75) null,
	extension nvarchar(75) null,
	listTypeId bigint,
	primary_ bit,
	primary key (phoneId, ctCollectionId)
);

create table PluginSetting (
	mvccVersion bigint default 0 not null,
	pluginSettingId bigint not null primary key,
	companyId bigint,
	pluginId nvarchar(75) null,
	pluginType nvarchar(75) null,
	roles nvarchar(4000) null,
	active_ bit
);

create table PortalPreferenceValue (
	mvccVersion bigint default 0 not null,
	portalPreferenceValueId bigint not null primary key,
	companyId bigint,
	portalPreferencesId bigint,
	index_ int,
	key_ nvarchar(255) null,
	largeValue nvarchar(max) null,
	namespace nvarchar(255) null,
	smallValue nvarchar(255) null
);

create table PortalPreferences (
	mvccVersion bigint default 0 not null,
	portalPreferencesId bigint not null primary key,
	companyId bigint,
	ownerId bigint,
	ownerType int
);

create table Portlet (
	mvccVersion bigint default 0 not null,
	id_ bigint not null primary key,
	companyId bigint,
	portletId nvarchar(200) null,
	roles nvarchar(4000) null,
	active_ bit
);

create table PortletItem (
	mvccVersion bigint default 0 not null,
	portletItemId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	name nvarchar(75) null,
	portletId nvarchar(200) null,
	classNameId bigint
);

create table PortletPreferenceValue (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	portletPreferenceValueId bigint not null,
	companyId bigint,
	portletPreferencesId bigint,
	index_ int,
	largeValue nvarchar(max) null,
	name nvarchar(255) null,
	readOnly bit,
	smallValue nvarchar(255) null,
	primary key (portletPreferenceValueId, ctCollectionId)
);

create table PortletPreferences (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	portletPreferencesId bigint not null,
	companyId bigint,
	ownerId bigint,
	ownerType int,
	plid bigint,
	portletId nvarchar(200) null,
	primary key (portletPreferencesId, ctCollectionId)
);

create table RatingsEntry (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	entryId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	score float,
	primary key (entryId, ctCollectionId)
);

create table RatingsStats (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	statsId bigint not null,
	companyId bigint,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	totalEntries int,
	totalScore float,
	averageScore float,
	primary key (statsId, ctCollectionId)
);

create table RecentLayoutBranch (
	mvccVersion bigint default 0 not null,
	recentLayoutBranchId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	layoutBranchId bigint,
	layoutSetBranchId bigint,
	plid bigint
);

create table RecentLayoutRevision (
	mvccVersion bigint default 0 not null,
	recentLayoutRevisionId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	layoutRevisionId bigint,
	layoutSetBranchId bigint,
	plid bigint
);

create table RecentLayoutSetBranch (
	mvccVersion bigint default 0 not null,
	recentLayoutSetBranchId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	layoutSetBranchId bigint,
	layoutSetId bigint
);

create table Region (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	defaultLanguageId nvarchar(75) null,
	regionId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	countryId bigint,
	active_ bit,
	name nvarchar(75) null,
	position float,
	regionCode nvarchar(75) null,
	lastPublishDate datetime2(6) null,
	primary key (regionId, ctCollectionId)
);

create table RegionLocalization (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	regionLocalizationId bigint not null,
	companyId bigint,
	regionId bigint,
	languageId nvarchar(75) null,
	title nvarchar(75) null,
	primary key (regionLocalizationId, ctCollectionId)
);

create table Release_ (
	mvccVersion bigint default 0 not null,
	releaseId bigint not null primary key,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	servletContextName nvarchar(75) null,
	schemaVersion nvarchar(75) null,
	buildNumber int,
	buildDate datetime2(6) null,
	verified bit,
	state_ int,
	testString nvarchar(1024) null
);

create table Repository (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	repositoryId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	name nvarchar(200) null,
	description nvarchar(4000) null,
	portletId nvarchar(200) null,
	typeSettings nvarchar(max) null,
	dlFolderId bigint,
	lastPublishDate datetime2(6) null,
	primary key (repositoryId, ctCollectionId)
);

create table RepositoryEntry (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	repositoryEntryId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	repositoryId bigint,
	mappedId nvarchar(255) null,
	manualCheckInRequired bit,
	lastPublishDate datetime2(6) null,
	primary key (repositoryEntryId, ctCollectionId)
);

create table ResourceAction (
	mvccVersion bigint default 0 not null,
	resourceActionId bigint not null primary key,
	name nvarchar(255) null,
	actionId nvarchar(75) null,
	bitwiseValue bigint
);

create table ResourcePermission (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	resourcePermissionId bigint not null,
	companyId bigint,
	name nvarchar(255) null,
	scope int,
	primKey nvarchar(255) null,
	primKeyId bigint,
	roleId bigint,
	ownerId bigint,
	actionIds bigint,
	viewActionId bit,
	primary key (resourcePermissionId, ctCollectionId)
);

create table Role_ (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	roleId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	name nvarchar(75) null,
	title nvarchar(4000) null,
	description nvarchar(max) null,
	type_ int,
	subtype nvarchar(75) null,
	primary key (roleId, ctCollectionId)
);

create table ServiceComponent (
	mvccVersion bigint default 0 not null,
	serviceComponentId bigint not null primary key,
	buildNamespace nvarchar(75) null,
	buildNumber bigint,
	buildDate bigint,
	data_ nvarchar(max) null
);

create table SocialActivity (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activityId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	createDate bigint,
	activitySetId bigint,
	mirrorActivityId bigint,
	classNameId bigint,
	classPK bigint,
	parentClassNameId bigint,
	parentClassPK bigint,
	type_ int,
	extraData nvarchar(4000) null,
	receiverUserId bigint,
	primary key (activityId, ctCollectionId)
);

create table SocialActivityAchievement (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activityAchievementId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	createDate bigint,
	name nvarchar(75) null,
	firstInGroup bit,
	primary key (activityAchievementId, ctCollectionId)
);

create table SocialActivityCounter (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activityCounterId bigint not null,
	groupId bigint,
	companyId bigint,
	classNameId bigint,
	classPK bigint,
	name nvarchar(75) null,
	ownerType int,
	currentValue int,
	totalValue int,
	graceValue int,
	startPeriod int,
	endPeriod int,
	active_ bit,
	primary key (activityCounterId, ctCollectionId)
);

create table SocialActivityLimit (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activityLimitId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	classNameId bigint,
	classPK bigint,
	activityType int,
	activityCounterName nvarchar(75) null,
	value nvarchar(75) null,
	primary key (activityLimitId, ctCollectionId)
);

create table SocialActivitySet (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activitySetId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	createDate bigint,
	modifiedDate bigint,
	classNameId bigint,
	classPK bigint,
	type_ int,
	extraData nvarchar(4000) null,
	activityCount int,
	primary key (activitySetId, ctCollectionId)
);

create table SocialActivitySetting (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	activitySettingId bigint not null,
	groupId bigint,
	companyId bigint,
	classNameId bigint,
	activityType int,
	name nvarchar(75) null,
	value nvarchar(1024) null,
	primary key (activitySettingId, ctCollectionId)
);

create table SocialRelation (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	relationId bigint not null,
	companyId bigint,
	createDate bigint,
	userId1 bigint,
	userId2 bigint,
	type_ int,
	primary key (relationId, ctCollectionId)
);

create table SocialRequest (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	requestId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	createDate bigint,
	modifiedDate bigint,
	classNameId bigint,
	classPK bigint,
	type_ int,
	extraData nvarchar(4000) null,
	receiverUserId bigint,
	status int,
	primary key (requestId, ctCollectionId)
);

create table SystemEvent (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	systemEventId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	classUuid nvarchar(75) null,
	referrerClassNameId bigint,
	parentSystemEventId bigint,
	systemEventSetKey bigint,
	type_ int,
	extraData nvarchar(max) null,
	primary key (systemEventId, ctCollectionId)
);

create table Team (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	teamId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	groupId bigint,
	name nvarchar(75) null,
	description nvarchar(4000) null,
	lastPublishDate datetime2(6) null,
	primary key (teamId, ctCollectionId)
);

create table Ticket (
	mvccVersion bigint default 0 not null,
	ticketId bigint not null primary key,
	companyId bigint,
	createDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	key_ nvarchar(75) null,
	type_ int,
	extraInfo nvarchar(max) null,
	expirationDate datetime2(6) null
);

create table UserNotificationDelivery (
	mvccVersion bigint default 0 not null,
	userNotificationDeliveryId bigint not null primary key,
	companyId bigint,
	userId bigint,
	portletId nvarchar(200) null,
	classNameId bigint,
	notificationType int,
	deliveryType int,
	deliver bit
);

create table User_ (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	userId bigint not null,
	companyId bigint,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	contactId bigint,
	password_ nvarchar(75) null,
	passwordEncrypted bit,
	passwordReset bit,
	passwordModifiedDate datetime2(6) null,
	digest nvarchar(255) null,
	reminderQueryQuestion nvarchar(75) null,
	reminderQueryAnswer nvarchar(75) null,
	graceLoginCount int,
	screenName nvarchar(75) null,
	emailAddress nvarchar(254) null,
	facebookId bigint,
	googleUserId nvarchar(75) null,
	ldapServerId bigint,
	openId nvarchar(1024) null,
	portraitId bigint,
	languageId nvarchar(75) null,
	timeZoneId nvarchar(75) null,
	greeting nvarchar(255) null,
	comments nvarchar(4000) null,
	firstName nvarchar(75) null,
	middleName nvarchar(75) null,
	lastName nvarchar(75) null,
	jobTitle nvarchar(100) null,
	loginDate datetime2(6) null,
	loginIP nvarchar(75) null,
	lastLoginDate datetime2(6) null,
	lastLoginIP nvarchar(75) null,
	lastFailedLoginDate datetime2(6) null,
	failedLoginAttempts int,
	lockout bit,
	lockoutDate datetime2(6) null,
	agreedToTermsOfUse bit,
	emailAddressVerified bit,
	type_ int,
	status int,
	primary key (userId, ctCollectionId)
);

create table UserGroup (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	uuid_ nvarchar(75) null,
	externalReferenceCode nvarchar(75) null,
	userGroupId bigint not null,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	parentUserGroupId bigint,
	name nvarchar(255) null,
	description nvarchar(4000) null,
	addedByLDAPImport bit,
	primary key (userGroupId, ctCollectionId)
);

create table UserGroupGroupRole (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	userGroupGroupRoleId bigint not null,
	companyId bigint,
	userGroupId bigint,
	groupId bigint,
	roleId bigint,
	primary key (userGroupGroupRoleId, ctCollectionId)
);

create table UserGroupRole (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	userGroupRoleId bigint not null,
	companyId bigint,
	userId bigint,
	groupId bigint,
	roleId bigint,
	primary key (userGroupRoleId, ctCollectionId)
);

create table UserGroups_Teams (
	companyId bigint not null,
	teamId bigint not null,
	userGroupId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (teamId, userGroupId, ctCollectionId)
);

create table UserIdMapper (
	mvccVersion bigint default 0 not null,
	userIdMapperId bigint not null primary key,
	companyId bigint,
	userId bigint,
	type_ nvarchar(75) null,
	description nvarchar(75) null,
	externalUserId nvarchar(75) null
);

create table UserNotificationEvent (
	mvccVersion bigint default 0 not null,
	uuid_ nvarchar(75) null,
	userNotificationEventId bigint not null primary key,
	companyId bigint,
	userId bigint,
	type_ nvarchar(200) null,
	timestamp bigint,
	deliveryType int,
	deliverBy bigint,
	delivered bit,
	payload nvarchar(max) null,
	actionRequired bit,
	archived bit
);

create table Users_Groups (
	companyId bigint not null,
	groupId bigint not null,
	userId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (groupId, userId, ctCollectionId)
);

create table Users_Orgs (
	companyId bigint not null,
	organizationId bigint not null,
	userId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (organizationId, userId, ctCollectionId)
);

create table Users_Roles (
	companyId bigint not null,
	roleId bigint not null,
	userId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (roleId, userId, ctCollectionId)
);

create table Users_Teams (
	companyId bigint not null,
	teamId bigint not null,
	userId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (teamId, userId, ctCollectionId)
);

create table Users_UserGroups (
	companyId bigint not null,
	userId bigint not null,
	userGroupId bigint not null,
	ctCollectionId bigint default 0 not null,
	ctChangeType bit,
	primary key (userId, userGroupId, ctCollectionId)
);

create table UserTracker (
	mvccVersion bigint default 0 not null,
	userTrackerId bigint not null primary key,
	companyId bigint,
	userId bigint,
	modifiedDate datetime2(6) null,
	sessionId nvarchar(200) null,
	remoteAddr nvarchar(75) null,
	remoteHost nvarchar(75) null,
	userAgent nvarchar(200) null
);

create table UserTrackerPath (
	mvccVersion bigint default 0 not null,
	userTrackerPathId bigint not null primary key,
	companyId bigint,
	userTrackerId bigint,
	path_ nvarchar(4000) null,
	pathDate datetime2(6) null
);

create table VirtualHost (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	virtualHostId bigint not null,
	companyId bigint,
	layoutSetId bigint,
	hostname nvarchar(200) null,
	defaultVirtualHost bit,
	languageId nvarchar(75) null,
	primary key (virtualHostId, ctCollectionId)
);

create table WebDAVProps (
	mvccVersion bigint default 0 not null,
	webDavPropsId bigint not null primary key,
	companyId bigint,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	props nvarchar(max) null
);

create table Website (
	mvccVersion bigint default 0 not null,
	uuid_ nvarchar(75) null,
	websiteId bigint not null primary key,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	url nvarchar(4000) null,
	listTypeId bigint,
	primary_ bit,
	lastPublishDate datetime2(6) null
);

create table WorkflowDefinitionLink (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	workflowDefinitionLinkId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	typePK bigint,
	workflowDefinitionName nvarchar(75) null,
	workflowDefinitionVersion int,
	primary key (workflowDefinitionLinkId, ctCollectionId)
);

create table WorkflowInstanceLink (
	mvccVersion bigint default 0 not null,
	ctCollectionId bigint default 0 not null,
	workflowInstanceLinkId bigint not null,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime2(6) null,
	modifiedDate datetime2(6) null,
	classNameId bigint,
	classPK bigint,
	workflowInstanceId bigint,
	primary key (workflowInstanceLinkId, ctCollectionId)
);


insert into Counter (name, currentId) values ('com.liferay.counter.kernel.model.Counter', 20000);



go


create index IX_602D4181 on Address (companyId, classNameId, classPK, ctCollectionId);
create index IX_336048E8 on Address (companyId, classNameId, classPK, listTypeId, ctCollectionId);
create index IX_CF84B7D6 on Address (companyId, classNameId, classPK, mailing, ctCollectionId);
create index IX_23EBCA12 on Address (companyId, classNameId, classPK, primary_, ctCollectionId);
create index IX_D9B5311E on Address (companyId, classNameId, ctCollectionId);
create index IX_3E0827AC on Address (companyId, ctCollectionId);
create unique index IX_CBAD282F on Address (companyId, externalReferenceCode, ctCollectionId);
create index IX_34CBC45 on Address (countryId, ctCollectionId);
create index IX_8C7024DB on Address (regionId, ctCollectionId);
create index IX_F67F5F32 on Address (userId, ctCollectionId);
create index IX_9F7C5C6C on Address (uuid_, companyId, ctCollectionId);
create index IX_E8E63838 on Address (uuid_, ctCollectionId);

create index IX_37B0A8A2 on AnnouncementsDelivery (companyId);
create unique index IX_BA4413D5 on AnnouncementsDelivery (userId, type_);

create index IX_D7470AC9 on AnnouncementsEntry (classNameId, classPK, alert, ctCollectionId);
create index IX_707CBFDF on AnnouncementsEntry (classNameId, classPK, ctCollectionId);
create index IX_69312079 on AnnouncementsEntry (companyId, classNameId, classPK, alert, ctCollectionId);
create index IX_5362B02F on AnnouncementsEntry (companyId, classNameId, classPK, ctCollectionId);
create index IX_964DCCDA on AnnouncementsEntry (companyId, ctCollectionId);
create index IX_5B9978C4 on AnnouncementsEntry (userId, ctCollectionId);
create index IX_2BF9277E on AnnouncementsEntry (uuid_, companyId, ctCollectionId);
create index IX_2E39A466 on AnnouncementsEntry (uuid_, ctCollectionId);

create index IX_F6244488 on AnnouncementsFlag (companyId, ctCollectionId);
create index IX_397DA3FD on AnnouncementsFlag (entryId, ctCollectionId);
create index IX_93B5C7FA on AnnouncementsFlag (userId, entryId, value, ctCollectionId);

create index IX_AE8DFA7 on AssetCategory (companyId, externalReferenceCode, ctCollectionId);
create index IX_1757FA92 on AssetCategory (ctCollectionId);
create index IX_62DC0D54 on AssetCategory (groupId, ctCollectionId);
create unique index IX_A497FDE5 on AssetCategory (groupId, externalReferenceCode, ctCollectionId);
create index IX_3E49A228 on AssetCategory (groupId, name, vocabularyId, ctCollectionId);
create index IX_5159C90B on AssetCategory (groupId, parentCategoryId, ctCollectionId);
create index IX_852EA801 on AssetCategory (groupId, parentCategoryId, name, vocabularyId);
create index IX_51264AA0 on AssetCategory (groupId, parentCategoryId, vocabularyId, ctCollectionId);
create index IX_7EF2DB29 on AssetCategory (groupId, vocabularyId, ctCollectionId);
create index IX_8F988466 on AssetCategory (name, vocabularyId, ctCollectionId);
create index IX_88D822C9 on AssetCategory (parentCategoryId, ctCollectionId);
create index IX_83C2D848 on AssetCategory (parentCategoryId, name, ctCollectionId);
create unique index IX_DC516B1D on AssetCategory (parentCategoryId, name, vocabularyId, ctCollectionId);
create index IX_8CEDBFDE on AssetCategory (parentCategoryId, vocabularyId, ctCollectionId);
create index IX_59B2EF86 on AssetCategory (uuid_, companyId, ctCollectionId);
create index IX_A9CC915E on AssetCategory (uuid_, ctCollectionId);
create unique index IX_5B65C08 on AssetCategory (uuid_, groupId, ctCollectionId);
create index IX_24AFC3E7 on AssetCategory (vocabularyId, ctCollectionId);

create index IX_112337B8 on AssetEntries_AssetTags (companyId);
create index IX_B2A61B55 on AssetEntries_AssetTags (tagId);

create unique index IX_7BF8337B on AssetEntry (classNameId, classPK, ctCollectionId);
create index IX_25F682BE on AssetEntry (companyId, ctCollectionId);
create index IX_E504D126 on AssetEntry (ctCollectionId);
create index IX_8839F457 on AssetEntry (expirationDate, ctCollectionId);
create index IX_B516ADB0 on AssetEntry (groupId, classNameId, publishDate, expirationDate, ctCollectionId);
create index IX_A62EE954 on AssetEntry (groupId, classNameId, visible, ctCollectionId);
create index IX_683ADC7F on AssetEntry (groupId, classUuid, ctCollectionId);
create index IX_D5B55D40 on AssetEntry (groupId, ctCollectionId);
create index IX_5B55565F on AssetEntry (layoutUuid, ctCollectionId);
create index IX_788964E3 on AssetEntry (publishDate, ctCollectionId);
create index IX_5B6AC3B8 on AssetEntry (visible, ctCollectionId);

create index IX_E534924E on AssetTag (ctCollectionId);
create index IX_24286918 on AssetTag (groupId, ctCollectionId);
create index IX_AA52E757 on AssetTag (groupId, name, ctCollectionId);
create index IX_7A6CD00D on AssetTag (name, ctCollectionId);
create index IX_71579042 on AssetTag (uuid_, companyId, ctCollectionId);
create index IX_E7450E22 on AssetTag (uuid_, ctCollectionId);
create unique index IX_A43FBC4 on AssetTag (uuid_, groupId, ctCollectionId);

create index IX_F75DCEEA on AssetVocabulary (companyId, ctCollectionId);
create index IX_6496D38F on AssetVocabulary (companyId, externalReferenceCode, ctCollectionId);
create index IX_49B3687A on AssetVocabulary (ctCollectionId);
create index IX_4E99C46C on AssetVocabulary (groupId, ctCollectionId);
create unique index IX_9181CBCD on AssetVocabulary (groupId, externalReferenceCode, ctCollectionId);
create unique index IX_AE9F73AB on AssetVocabulary (groupId, name, ctCollectionId);
create index IX_2C944C4C on AssetVocabulary (groupId, visibilityType, ctCollectionId);
create index IX_B955B36E on AssetVocabulary (uuid_, companyId, ctCollectionId);
create index IX_2F3D2E76 on AssetVocabulary (uuid_, ctCollectionId);
create unique index IX_8F88F9F0 on AssetVocabulary (uuid_, groupId, ctCollectionId);

create unique index IX_E7B95510 on BrowserTracker (userId);

create unique index IX_B27A301F on ClassName_ (value);

create index IX_38EFE3FD on Company (logoId);
create index IX_12566EC2 on Company (mx);
create unique index IX_EC00543C on Company (webId);

create unique index IX_85C63FD7 on CompanyInfo (companyId);

create index IX_791914FA on Contact_ (classNameId, classPK);
create index IX_FD2E9BDD on Contact_ (companyId, userId);
create index IX_42F94F9F on Contact_ (userId);

create index IX_4660D12B on Country (active_, ctCollectionId);
create unique index IX_B38C8F6F on Country (companyId, a2, ctCollectionId);
create unique index IX_8136F130 on Country (companyId, a3, ctCollectionId);
create index IX_F307A0DC on Country (companyId, active_, billingAllowed, ctCollectionId);
create index IX_AC6B4BFB on Country (companyId, active_, ctCollectionId);
create index IX_75C3292B on Country (companyId, active_, shippingAllowed, ctCollectionId);
create index IX_938AE74A on Country (companyId, ctCollectionId);
create unique index IX_2E567809 on Country (companyId, name, ctCollectionId);
create unique index IX_53078AD8 on Country (companyId, number_, ctCollectionId);
create index IX_912E6F0E on Country (uuid_, companyId, ctCollectionId);
create index IX_338576D6 on Country (uuid_, ctCollectionId);

create index IX_ABAE88CA on CountryLocalization (countryId, ctCollectionId);
create unique index IX_E22A5911 on CountryLocalization (countryId, languageId, ctCollectionId);

create index IX_33E8A112 on DLFileEntry (companyId, ctCollectionId);
create index IX_5444C427 on DLFileEntry (companyId, fileEntryTypeId);
create index IX_9B56081C on DLFileEntry (custom1ImageId, ctCollectionId);
create index IX_9D2F5B3B on DLFileEntry (custom2ImageId, ctCollectionId);
create index IX_C0A6F645 on DLFileEntry (fileEntryTypeId, ctCollectionId);
create index IX_F951AC2E on DLFileEntry (folderId, name, ctCollectionId);
create index IX_60830094 on DLFileEntry (groupId, ctCollectionId);
create unique index IX_273362A5 on DLFileEntry (groupId, externalReferenceCode, ctCollectionId);
create index IX_BAF654E5 on DLFileEntry (groupId, fileEntryTypeId);
create index IX_95A2D1F1 on DLFileEntry (groupId, folderId, ctCollectionId);
create index IX_D8883586 on DLFileEntry (groupId, folderId, fileEntryTypeId, ctCollectionId);
create unique index IX_A256938C on DLFileEntry (groupId, folderId, fileName, ctCollectionId);
create unique index IX_F7878970 on DLFileEntry (groupId, folderId, name, ctCollectionId);
create unique index IX_EAAB273 on DLFileEntry (groupId, folderId, title, ctCollectionId);
create index IX_3B20ECE on DLFileEntry (groupId, userId, ctCollectionId);
create index IX_87A8DFAB on DLFileEntry (groupId, userId, folderId, ctCollectionId);
create index IX_863591A1 on DLFileEntry (largeImageId, ctCollectionId);
create index IX_72175754 on DLFileEntry (mimeType, ctCollectionId);
create index IX_6EC7490B on DLFileEntry (repositoryId, ctCollectionId);
create index IX_277C31A8 on DLFileEntry (repositoryId, folderId, ctCollectionId);
create index IX_A8521555 on DLFileEntry (smallImageId, ctCollectionId);
create index IX_854E0F17 on DLFileEntry (smallImageId, largeImageId, custom1ImageId, custom2ImageId, ctCollectionId);
create index IX_1F89A446 on DLFileEntry (uuid_, companyId, ctCollectionId);
create index IX_CF17549E on DLFileEntry (uuid_, ctCollectionId);
create unique index IX_373340C8 on DLFileEntry (uuid_, groupId, ctCollectionId);

create unique index IX_B9210CAD on DLFileEntryMetadata (DDMStructureId, fileVersionId, ctCollectionId);
create index IX_8D4F58BC on DLFileEntryMetadata (fileEntryId, ctCollectionId);
create index IX_A158EA62 on DLFileEntryMetadata (fileVersionId, ctCollectionId);
create index IX_EABA15 on DLFileEntryMetadata (uuid_, companyId, ctCollectionId);
create index IX_EAA9CA2F on DLFileEntryMetadata (uuid_, ctCollectionId);

create index IX_C0561BFA on DLFileEntryType (groupId, ctCollectionId);
create unique index IX_B6F21286 on DLFileEntryType (groupId, dataDefinitionId, ctCollectionId);
create unique index IX_402227BD on DLFileEntryType (groupId, fileEntryTypeKey, ctCollectionId);
create index IX_F147FBA0 on DLFileEntryType (uuid_, companyId, ctCollectionId);
create index IX_17A61184 on DLFileEntryType (uuid_, ctCollectionId);
create unique index IX_1773A6A2 on DLFileEntryType (uuid_, groupId, ctCollectionId);

create index IX_2E64D9F9 on DLFileEntryTypes_DLFolders (companyId);
create index IX_6E00A2EC on DLFileEntryTypes_DLFolders (folderId);

create index IX_A46E54B6 on DLFileShortcut (companyId, ctCollectionId);
create index IX_80362F9C on DLFileShortcut (companyId, status, ctCollectionId);
create index IX_8A2EF610 on DLFileShortcut (groupId, folderId, active_, ctCollectionId);
create index IX_CFD4D6F6 on DLFileShortcut (groupId, folderId, active_, status, ctCollectionId);
create index IX_869CA195 on DLFileShortcut (groupId, folderId, ctCollectionId);
create index IX_5CAA7254 on DLFileShortcut (toFileEntryId, ctCollectionId);
create index IX_FE055022 on DLFileShortcut (uuid_, companyId, ctCollectionId);
create index IX_21B07A42 on DLFileShortcut (uuid_, ctCollectionId);
create unique index IX_DD2033A4 on DLFileShortcut (uuid_, groupId, ctCollectionId);

create index IX_97782D6C on DLFileVersion (companyId, ctCollectionId);
create index IX_808EF252 on DLFileVersion (companyId, status, ctCollectionId);
create index IX_9940AF5C on DLFileVersion (companyId, storeUUID, ctCollectionId);
create index IX_759EF1C5 on DLFileVersion (fileEntryId, ctCollectionId);
create index IX_C97C4DAB on DLFileVersion (fileEntryId, status, ctCollectionId);
create unique index IX_10E504DF on DLFileVersion (fileEntryId, version, ctCollectionId);
create index IX_3A12DA31 on DLFileVersion (groupId, folderId, status, ctCollectionId);
create index IX_DCA2C64B on DLFileVersion (groupId, folderId, title, version, ctCollectionId);
create index IX_9E97D7BA on DLFileVersion (mimeType, ctCollectionId);
create index IX_16CE5EAC on DLFileVersion (uuid_, companyId, ctCollectionId);
create index IX_48BF1DF8 on DLFileVersion (uuid_, ctCollectionId);
create unique index IX_350F5CAE on DLFileVersion (uuid_, groupId, ctCollectionId);

create index IX_67A46FAA on DLFolder (companyId, ctCollectionId);
create index IX_F1EC1690 on DLFolder (companyId, status, ctCollectionId);
create index IX_9D91952C on DLFolder (groupId, ctCollectionId);
create unique index IX_A1EB230D on DLFolder (groupId, externalReferenceCode, ctCollectionId);
create index IX_4B18B17E on DLFolder (groupId, mountPoint, parentFolderId, ctCollectionId);
create index IX_45D93323 on DLFolder (groupId, mountPoint, parentFolderId, hidden_, ctCollectionId);
create index IX_91065109 on DLFolder (groupId, mountPoint, parentFolderId, hidden_, status, ctCollectionId);
create index IX_CF68C0D3 on DLFolder (groupId, parentFolderId, ctCollectionId);
create index IX_7663654 on DLFolder (groupId, parentFolderId, hidden_, status, ctCollectionId);
create unique index IX_C7E346D2 on DLFolder (groupId, parentFolderId, name, ctCollectionId);
create index IX_4642F2E0 on DLFolder (parentFolderId, name, ctCollectionId);
create index IX_BB15D373 on DLFolder (repositoryId, ctCollectionId);
create index IX_F344479E on DLFolder (repositoryId, mountPoint, ctCollectionId);
create index IX_E7CD911A on DLFolder (repositoryId, parentFolderId, ctCollectionId);
create index IX_333CBAAE on DLFolder (uuid_, companyId, ctCollectionId);
create index IX_B7722F36 on DLFolder (uuid_, ctCollectionId);
create unique index IX_AA08D130 on DLFolder (uuid_, groupId, ctCollectionId);

create index IX_4F4409FD on EmailAddress (companyId, classNameId, classPK, ctCollectionId);
create index IX_79EF278E on EmailAddress (companyId, classNameId, classPK, primary_, ctCollectionId);
create index IX_BCFAD22 on EmailAddress (companyId, classNameId, ctCollectionId);
create index IX_9C007528 on EmailAddress (companyId, ctCollectionId);
create index IX_947A6336 on EmailAddress (userId, ctCollectionId);
create index IX_26152B70 on EmailAddress (uuid_, companyId, ctCollectionId);
create index IX_D538A3B4 on EmailAddress (uuid_, ctCollectionId);

create index IX_8B26D246 on ExpandoColumn (tableId, ctCollectionId);
create unique index IX_4A7D3605 on ExpandoColumn (tableId, name, ctCollectionId);

create index IX_BCC0D776 on ExpandoRow (classPK, ctCollectionId);
create unique index IX_488E0C53 on ExpandoRow (tableId, classPK, ctCollectionId);
create index IX_5C47920C on ExpandoRow (tableId, ctCollectionId);

create index IX_A905B6E3 on ExpandoTable (companyId, classNameId, ctCollectionId);
create unique index IX_87D370E2 on ExpandoTable (companyId, classNameId, name, ctCollectionId);

create index IX_FF8FB775 on ExpandoValue (classNameId, classPK, ctCollectionId);
create index IX_B5A9F1E5 on ExpandoValue (columnId, ctCollectionId);
create unique index IX_E6D98E43 on ExpandoValue (columnId, rowId_, ctCollectionId);
create index IX_FC7A3DFE on ExpandoValue (rowId_, ctCollectionId);
create index IX_3D37FDAA on ExpandoValue (tableId, classPK, ctCollectionId);
create unique index IX_D8C72C45 on ExpandoValue (tableId, columnId, classPK, ctCollectionId);
create index IX_8AF759DA on ExpandoValue (tableId, columnId, ctCollectionId);
create index IX_EEA372D5 on ExpandoValue (tableId, ctCollectionId);
create index IX_4E7B1F33 on ExpandoValue (tableId, rowId_, ctCollectionId);

create index IX_1827A2E5 on ExportImportConfiguration (companyId);
create index IX_38FA468D on ExportImportConfiguration (groupId, status);
create index IX_47CC6234 on ExportImportConfiguration (groupId, type_, status);

create index IX_EB3A63D9 on Group_ (classNameId, classPK, ctCollectionId);
create index IX_BD3CB13A on Group_ (classNameId, groupId, companyId, parentGroupId);
create index IX_8B5402E5 on Group_ (companyId, active_, ctCollectionId);
create unique index IX_504CABF5 on Group_ (companyId, classNameId, classPK, ctCollectionId);
create index IX_2442742A on Group_ (companyId, classNameId, ctCollectionId);
create index IX_B7EBDBB2 on Group_ (companyId, classNameId, parentGroupId, ctCollectionId);
create index IX_A67A0AA5 on Group_ (companyId, classNameId, site, ctCollectionId);
create index IX_286EE120 on Group_ (companyId, ctCollectionId);
create unique index IX_9A7D6AD0 on Group_ (companyId, friendlyURL, ctCollectionId);
create unique index IX_BE219CF4 on Group_ (companyId, groupKey, ctCollectionId);
create index IX_A20523FC on Group_ (companyId, parentGroupId, ctCollectionId);
create index IX_121A14F7 on Group_ (companyId, parentGroupId, site, ctCollectionId);
create index IX_162053E9 on Group_ (companyId, parentGroupId, site, inheritContent, ctCollectionId);
create index IX_4108074A on Group_ (companyId, site, active_, ctCollectionId);
create index IX_CFE2671B on Group_ (companyId, site, ctCollectionId);
create unique index IX_74161B4F on Group_ (externalReferenceCode, companyId, ctCollectionId);
create index IX_8060F096 on Group_ (liveGroupId, ctCollectionId);
create index IX_5263ACD8 on Group_ (type_, active_, ctCollectionId);
create index IX_21CBD878 on Group_ (uuid_, companyId, ctCollectionId);
create index IX_BFEBCBAC on Group_ (uuid_, ctCollectionId);

create index IX_8BFD4548 on Groups_Orgs (companyId);
create index IX_6BBB7682 on Groups_Orgs (organizationId);

create index IX_557D8550 on Groups_Roles (companyId);
create index IX_3103EF3D on Groups_Roles (roleId);

create index IX_676FC818 on Groups_UserGroups (companyId);
create index IX_3B69160F on Groups_UserGroups (userGroupId);

create index IX_9720F6AB on Image (size_, ctCollectionId);

create index IX_31B45343 on Layout (classNameId, classPK, ctCollectionId);
create index IX_4B906FF6 on Layout (companyId, ctCollectionId);
create index IX_8F868C29 on Layout (companyId, layoutPrototypeUuid, ctCollectionId);
create index IX_FD5AF6EE on Layout (ctCollectionId);
create index IX_34D93878 on Layout (groupId, ctCollectionId);
create index IX_12770E8F on Layout (groupId, masterLayoutPlid, ctCollectionId);
create index IX_7BFE8B01 on Layout (groupId, privateLayout, ctCollectionId);
create unique index IX_B556968F on Layout (groupId, privateLayout, friendlyURL, ctCollectionId);
create unique index IX_CF5120DA on Layout (groupId, privateLayout, layoutId, ctCollectionId);
create index IX_52D89564 on Layout (groupId, privateLayout, parentLayoutId, ctCollectionId);
create index IX_1E4451FD on Layout (groupId, privateLayout, parentLayoutId, hidden_, ctCollectionId);
create index IX_989E917C on Layout (groupId, privateLayout, parentLayoutId, priority, ctCollectionId);
create index IX_66125D58 on Layout (groupId, privateLayout, parentLayoutId, system_, ctCollectionId);
create index IX_18D0C537 on Layout (groupId, privateLayout, sourcePrototypeLayoutUuid, ctCollectionId);
create index IX_A73CEAE7 on Layout (groupId, privateLayout, status, ctCollectionId);
create index IX_A1FC5430 on Layout (groupId, privateLayout, type_, ctCollectionId);
create index IX_94E0E2D9 on Layout (groupId, type_, ctCollectionId);
create index IX_E7B06BDB on Layout (iconImageId, ctCollectionId);
create index IX_11389031 on Layout (layoutPrototypeUuid, ctCollectionId);
create index IX_7F60B703 on Layout (parentPlid, ctCollectionId);
create index IX_C95F601E on Layout (privateLayout, iconImageId, ctCollectionId);
create index IX_ED8D4D2A on Layout (sourcePrototypeLayoutUuid, ctCollectionId);
create index IX_24AA0CE2 on Layout (uuid_, companyId, ctCollectionId);
create index IX_5AA23582 on Layout (uuid_, ctCollectionId);
create unique index IX_52D84D95 on Layout (uuid_, groupId, privateLayout, ctCollectionId);

create index IX_A705FF94 on LayoutBranch (layoutSetBranchId, plid, master);
create unique index IX_FD57097D on LayoutBranch (layoutSetBranchId, plid, name);
create index IX_72FC531D on LayoutBranch (plid);

create index IX_1C55E26 on LayoutFriendlyURL (companyId, ctCollectionId);
create index IX_7ED3F2A8 on LayoutFriendlyURL (groupId, ctCollectionId);
create index IX_6F5128BF on LayoutFriendlyURL (groupId, privateLayout, friendlyURL, ctCollectionId);
create unique index IX_E73BB186 on LayoutFriendlyURL (groupId, privateLayout, friendlyURL, languageId, ctCollectionId);
create index IX_EF247709 on LayoutFriendlyURL (plid, ctCollectionId);
create index IX_CB1E7787 on LayoutFriendlyURL (plid, friendlyURL, ctCollectionId);
create unique index IX_2069E0D0 on LayoutFriendlyURL (plid, languageId, ctCollectionId);
create index IX_9DE5C8B2 on LayoutFriendlyURL (uuid_, companyId, ctCollectionId);
create index IX_C765BBB2 on LayoutFriendlyURL (uuid_, ctCollectionId);
create unique index IX_58E59034 on LayoutFriendlyURL (uuid_, groupId, ctCollectionId);

create index IX_81401BFD on LayoutPrototype (companyId, active_, ctCollectionId);
create index IX_CA85AD08 on LayoutPrototype (companyId, ctCollectionId);
create index IX_CD9B5790 on LayoutPrototype (uuid_, companyId, ctCollectionId);
create index IX_7FD4CB94 on LayoutPrototype (uuid_, ctCollectionId);

create index IX_43E8286A on LayoutRevision (head, plid);
create index IX_E10AC39 on LayoutRevision (layoutSetBranchId, head, plid);
create index IX_9EC9F954 on LayoutRevision (layoutSetBranchId, head, status);
create index IX_38C5DF14 on LayoutRevision (layoutSetBranchId, layoutBranchId, head, plid);
create index IX_13984800 on LayoutRevision (layoutSetBranchId, layoutBranchId, plid);
create index IX_4A84AF43 on LayoutRevision (layoutSetBranchId, parentLayoutRevisionId, plid);
create index IX_70DA9ECB on LayoutRevision (layoutSetBranchId, plid, status);
create index IX_7FFAE700 on LayoutRevision (layoutSetBranchId, status);
create index IX_8EC3D2BC on LayoutRevision (plid, status);
create index IX_421223B1 on LayoutRevision (status);

create index IX_20615181 on LayoutSet (companyId, layoutSetPrototypeUuid, ctCollectionId);
create index IX_5B990A4A on LayoutSet (groupId, ctCollectionId);
create unique index IX_3F2A9AEF on LayoutSet (groupId, privateLayout, ctCollectionId);
create index IX_55443115 on LayoutSet (layoutSetPrototypeUuid, ctCollectionId);
create index IX_A6EE9D37 on LayoutSet (privateLayout, logoId, ctCollectionId);

create index IX_CCF0DA29 on LayoutSetBranch (groupId, privateLayout, master);
create unique index IX_5FF18552 on LayoutSetBranch (groupId, privateLayout, name);

create index IX_9178FC71 on LayoutSetPrototype (companyId, active_);
create index IX_D9FFCA84 on LayoutSetPrototype (uuid_, companyId);

create unique index IX_B7F62EEC on ListType (companyId, name, type_);
create index IX_9AE9E40B on ListType (companyId, type_);
create index IX_2932DD37 on ListType (type_);

create index IX_C28C72EC on MembershipRequest (groupId, statusId);
create index IX_35AA8FA6 on MembershipRequest (groupId, userId, statusId);
create index IX_66D70879 on MembershipRequest (userId);

create index IX_6AF0D434 on OrgLabor (organizationId);

create index IX_2C1E7914 on Organization_ (companyId, ctCollectionId);
create unique index IX_38F85A25 on Organization_ (companyId, externalReferenceCode, ctCollectionId);
create unique index IX_F1E40A53 on Organization_ (companyId, name, ctCollectionId);
create index IX_7A5E9780 on Organization_ (companyId, parentOrganizationId, ctCollectionId);
create index IX_DC36A7BF on Organization_ (companyId, parentOrganizationId, name, ctCollectionId);
create index IX_3F532604 on Organization_ (uuid_, companyId, ctCollectionId);
create index IX_206D7DA0 on Organization_ (uuid_, ctCollectionId);

create index IX_2C1142E on PasswordPolicy (companyId, defaultPolicy);
create unique index IX_3FBFA9F4 on PasswordPolicy (companyId, name);
create index IX_E4D7EF87 on PasswordPolicy (uuid_, companyId);

create unique index IX_C3A17327 on PasswordPolicyRel (classNameId, classPK);
create index IX_CD25266E on PasswordPolicyRel (passwordPolicyId);

create index IX_326F75BD on PasswordTracker (userId);

create index IX_F5B219C7 on Phone (companyId, classNameId, classPK, ctCollectionId);
create index IX_51CB82D8 on Phone (companyId, classNameId, classPK, primary_, ctCollectionId);
create index IX_AA7CD218 on Phone (companyId, classNameId, ctCollectionId);
create index IX_BC4C7872 on Phone (companyId, ctCollectionId);
create index IX_ED8C342C on Phone (userId, ctCollectionId);
create index IX_2E6C0E6 on Phone (uuid_, companyId, ctCollectionId);
create index IX_AECDDBFE on Phone (uuid_, ctCollectionId);

create unique index IX_7171B2E8 on PluginSetting (companyId, pluginId, pluginType);

create unique index IX_A6DD0ECF on PortalPreferenceValue (portalPreferencesId, index_, key_, namespace);
create index IX_9FF9CC4E on PortalPreferenceValue (portalPreferencesId, key_, namespace, smallValue);
create index IX_4C7A38C4 on PortalPreferenceValue (portalPreferencesId, namespace);

create index IX_D1F795F1 on PortalPreferences (ownerId, ownerType);
create index IX_FBB40A2B on PortalPreferences (ownerType);

create unique index IX_12B5E51D on Portlet (companyId, portletId);

create index IX_96BDD537 on PortletItem (groupId, classNameId);
create index IX_D699243F on PortletItem (groupId, name, portletId, classNameId);
create index IX_E922D6C0 on PortletItem (groupId, portletId, classNameId);

create index IX_10A50AC1 on PortletPreferenceValue (companyId, name, smallValue, ctCollectionId);
create index IX_4462FCD on PortletPreferenceValue (portletPreferencesId, ctCollectionId);
create unique index IX_AD38E28D on PortletPreferenceValue (portletPreferencesId, index_, name, ctCollectionId);
create index IX_B94C124C on PortletPreferenceValue (portletPreferencesId, name, ctCollectionId);
create index IX_2E0FE9EA on PortletPreferenceValue (portletPreferencesId, name, smallValue, ctCollectionId);

create index IX_F0B8A3A0 on PortletPreferences (companyId, ownerId, ownerType, portletId, ctCollectionId);
create index IX_31DA3CB8 on PortletPreferences (ownerId, ctCollectionId);
create index IX_451D78CC on PortletPreferences (ownerId, ownerType, plid, ctCollectionId);
create unique index IX_CB778855 on PortletPreferences (ownerId, ownerType, plid, portletId, ctCollectionId);
create index IX_258CCF40 on PortletPreferences (ownerId, ownerType, portletId, ctCollectionId);
create index IX_D48717FF on PortletPreferences (ownerType, plid, portletId, ctCollectionId);
create index IX_D6C3E66A on PortletPreferences (ownerType, portletId, ctCollectionId);
create index IX_C77A74AD on PortletPreferences (plid, ctCollectionId);
create index IX_67E205D4 on PortletPreferences (plid, portletId, ctCollectionId);
create index IX_8D0717FF on PortletPreferences (portletId, ctCollectionId);

create index IX_FD0395B5 on RatingsEntry (classNameId, classPK, ctCollectionId);
create index IX_66592BE9 on RatingsEntry (classNameId, classPK, score, ctCollectionId);
create unique index IX_B938D06F on RatingsEntry (userId, classNameId, classPK, ctCollectionId);
create index IX_CBD05854 on RatingsEntry (uuid_, companyId, ctCollectionId);
create index IX_A4389D50 on RatingsEntry (uuid_, ctCollectionId);

create unique index IX_C286E0E2 on RatingsStats (classNameId, classPK, ctCollectionId);
create index IX_5EC6007D on RatingsStats (classNameId, createDate);
create index IX_11A5584A on RatingsStats (classNameId, modifiedDate);

create index IX_B91F79BD on RecentLayoutBranch (groupId);
create index IX_351E86E8 on RecentLayoutBranch (layoutBranchId);
create unique index IX_C27D6369 on RecentLayoutBranch (userId, layoutSetBranchId, plid);

create index IX_8D8A2724 on RecentLayoutRevision (groupId);
create index IX_DA0788DA on RecentLayoutRevision (layoutRevisionId);
create unique index IX_4C600BD0 on RecentLayoutRevision (userId, layoutSetBranchId, plid);

create index IX_711995A5 on RecentLayoutSetBranch (groupId);
create index IX_23FF0700 on RecentLayoutSetBranch (layoutSetBranchId);
create unique index IX_4654D204 on RecentLayoutSetBranch (userId, layoutSetId);

create index IX_13E85ACD on Region (active_, ctCollectionId);
create index IX_40F550A0 on Region (countryId, active_, ctCollectionId);
create index IX_E29B2505 on Region (countryId, ctCollectionId);
create unique index IX_183BFDBA on Region (countryId, regionCode, ctCollectionId);
create index IX_EF8A9BAC on Region (uuid_, companyId, ctCollectionId);
create index IX_EB4700F8 on Region (uuid_, ctCollectionId);

create index IX_9D28E154 on RegionLocalization (regionId, ctCollectionId);
create unique index IX_982329B on RegionLocalization (regionId, languageId, ctCollectionId);

create unique index IX_8BD6BCA7 on Release_ (servletContextName);

create index IX_1A1F5458 on Repository (groupId, ctCollectionId);
create unique index IX_97B21AA on Repository (groupId, name, portletId, ctCollectionId);
create index IX_4D554D02 on Repository (uuid_, companyId, ctCollectionId);
create index IX_487DC962 on Repository (uuid_, ctCollectionId);
create unique index IX_4009E884 on Repository (uuid_, groupId, ctCollectionId);

create index IX_F458F385 on RepositoryEntry (repositoryId, ctCollectionId);
create unique index IX_BC798E7 on RepositoryEntry (repositoryId, mappedId, ctCollectionId);
create index IX_D6ED81C0 on RepositoryEntry (uuid_, companyId, ctCollectionId);
create index IX_DE371F64 on RepositoryEntry (uuid_, ctCollectionId);
create unique index IX_9F0434C2 on RepositoryEntry (uuid_, groupId, ctCollectionId);

create unique index IX_EDB9986E on ResourceAction (name, actionId);

create index IX_9A838EC7 on ResourcePermission (companyId, name, scope, primKey, ctCollectionId);
create unique index IX_A9FF4B2C on ResourcePermission (companyId, name, scope, primKey, roleId, ctCollectionId);
create index IX_B60B5751 on ResourcePermission (companyId, name, scope, primKeyId, roleId, viewActionId, ctCollectionId);
create index IX_829B8423 on ResourcePermission (companyId, name, scope, roleId, ctCollectionId);
create index IX_490017A2 on ResourcePermission (companyId, primKey, ctCollectionId);
create index IX_2FABAAC8 on ResourcePermission (companyId, scope, primKey, ctCollectionId);
create index IX_FABE6981 on ResourcePermission (ctCollectionId);
create index IX_6AD73500 on ResourcePermission (name, ctCollectionId);
create index IX_3078CBE6 on ResourcePermission (roleId, ctCollectionId);
create index IX_F3870DDF on ResourcePermission (scope, ctCollectionId);

create unique index IX_C0F6BCAC on Role_ (companyId, classNameId, classPK, ctCollectionId);
create index IX_4EA65517 on Role_ (companyId, ctCollectionId);
create unique index IX_4CC99816 on Role_ (companyId, name, ctCollectionId);
create index IX_7037255A on Role_ (companyId, type_, ctCollectionId);
create index IX_B482E6EC on Role_ (name, ctCollectionId);
create index IX_18A86359 on Role_ (subtype, ctCollectionId);
create index IX_FFA7B144 on Role_ (type_, ctCollectionId);
create index IX_D8DA3062 on Role_ (type_, subtype, ctCollectionId);
create index IX_411F50A1 on Role_ (uuid_, companyId, ctCollectionId);
create index IX_EFF1D323 on Role_ (uuid_, ctCollectionId);

create unique index IX_4F0315B8 on ServiceComponent (buildNamespace, buildNumber);

create index IX_9E7AC81A on SocialActivity (activitySetId, ctCollectionId);
create index IX_AD0B0FB5 on SocialActivity (classNameId, classPK, ctCollectionId);
create index IX_90E6DCFC on SocialActivity (classNameId, classPK, type_, ctCollectionId);
create index IX_5AD306C4 on SocialActivity (companyId, ctCollectionId);
create index IX_A9CF2AC6 on SocialActivity (groupId, ctCollectionId);
create index IX_9C9CB625 on SocialActivity (groupId, userId, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create unique index IX_24810327 on SocialActivity (groupId, userId, createDate, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create index IX_A57E31D2 on SocialActivity (mirrorActivityId, classNameId, classPK, ctCollectionId);
create index IX_28C22ABD on SocialActivity (mirrorActivityId, ctCollectionId);
create index IX_E948429 on SocialActivity (receiverUserId, ctCollectionId);
create index IX_96BE971A on SocialActivity (userId, ctCollectionId);

create index IX_5DE7864F on SocialActivityAchievement (groupId, ctCollectionId);
create index IX_ADBE078D on SocialActivityAchievement (groupId, firstInGroup, ctCollectionId);
create index IX_CAFEFF4E on SocialActivityAchievement (groupId, name, ctCollectionId);
create index IX_38BEA989 on SocialActivityAchievement (groupId, userId, ctCollectionId);
create index IX_9F91FD47 on SocialActivityAchievement (groupId, userId, firstInGroup, ctCollectionId);
create unique index IX_5ED94F08 on SocialActivityAchievement (groupId, userId, name, ctCollectionId);

create index IX_BDC6A299 on SocialActivityCounter (classNameId, classPK, ctCollectionId);
create unique index IX_8F6B63C5 on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, endPeriod, ctCollectionId);
create unique index IX_D520F00C on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, startPeriod, ctCollectionId);
create index IX_B7252B62 on SocialActivityCounter (groupId, classNameId, classPK, ownerType, ctCollectionId);
create index IX_7ACAB562 on SocialActivityCounter (groupId, ctCollectionId);

create index IX_D800658 on SocialActivityLimit (classNameId, classPK, ctCollectionId);
create index IX_197F2743 on SocialActivityLimit (groupId, ctCollectionId);
create unique index IX_4A636E75 on SocialActivityLimit (groupId, userId, classNameId, classPK, activityType, activityCounterName, ctCollectionId);
create index IX_710E96FD on SocialActivityLimit (userId, ctCollectionId);

create index IX_49DD2872 on SocialActivitySet (classNameId, classPK, type_, ctCollectionId);
create index IX_34A94D3C on SocialActivitySet (groupId, ctCollectionId);
create index IX_EF8C463D on SocialActivitySet (groupId, userId, classNameId, type_, ctCollectionId);
create index IX_F4E22E1B on SocialActivitySet (groupId, userId, type_, ctCollectionId);
create index IX_EF377278 on SocialActivitySet (userId, classNameId, classPK, type_, ctCollectionId);
create index IX_A37B4DE4 on SocialActivitySet (userId, ctCollectionId);

create index IX_35A9252B on SocialActivitySetting (groupId, activityType, ctCollectionId);
create index IX_D0E7F399 on SocialActivitySetting (groupId, classNameId, activityType, ctCollectionId);
create index IX_4FC6CD18 on SocialActivitySetting (groupId, classNameId, activityType, name, ctCollectionId);
create index IX_11AAEF7C on SocialActivitySetting (groupId, classNameId, ctCollectionId);
create index IX_6B06688E on SocialActivitySetting (groupId, ctCollectionId);

create index IX_60BA2F7 on SocialRelation (companyId, ctCollectionId);
create index IX_2CB87B7A on SocialRelation (companyId, type_, ctCollectionId);
create index IX_A29EEF24 on SocialRelation (type_, ctCollectionId);
create index IX_BDCE8C2A on SocialRelation (userId1, ctCollectionId);
create index IX_3A6962E7 on SocialRelation (userId1, type_, ctCollectionId);
create index IX_5A757CEE on SocialRelation (userId1, userId2, ctCollectionId);
create unique index IX_D97ACDA3 on SocialRelation (userId1, userId2, type_, ctCollectionId);
create index IX_8B78EDEB on SocialRelation (userId2, ctCollectionId);
create index IX_3C42B606 on SocialRelation (userId2, type_, ctCollectionId);
create index IX_FDA0A6C1 on SocialRelation (uuid_, companyId, ctCollectionId);
create index IX_92E91103 on SocialRelation (uuid_, ctCollectionId);

create index IX_A776F23B on SocialRequest (classNameId, classPK, ctCollectionId);
create index IX_EB193CE5 on SocialRequest (classNameId, classPK, type_, receiverUserId, status, ctCollectionId);
create index IX_9E3B7BFE on SocialRequest (companyId, ctCollectionId);
create index IX_B626432F on SocialRequest (receiverUserId, ctCollectionId);
create index IX_9E789515 on SocialRequest (receiverUserId, status, ctCollectionId);
create unique index IX_EF4BB505 on SocialRequest (userId, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create index IX_D54872A2 on SocialRequest (userId, classNameId, classPK, type_, status, ctCollectionId);
create index IX_8CAABC20 on SocialRequest (userId, ctCollectionId);
create index IX_59718D06 on SocialRequest (userId, status, ctCollectionId);
create index IX_58C2E7DA on SocialRequest (uuid_, companyId, ctCollectionId);
create index IX_684858A on SocialRequest (uuid_, ctCollectionId);
create unique index IX_350595C on SocialRequest (uuid_, groupId, ctCollectionId);

create index IX_46E892C on SystemEvent (groupId, classNameId, classPK, ctCollectionId);
create index IX_6C051FA5 on SystemEvent (groupId, classNameId, classPK, type_, ctCollectionId);
create index IX_E9FA8197 on SystemEvent (groupId, ctCollectionId);
create index IX_C009825D on SystemEvent (groupId, systemEventSetKey, ctCollectionId);

create index IX_713531A3 on Team (companyId, ctCollectionId);
create index IX_622C8165 on Team (groupId, ctCollectionId);
create unique index IX_D424D1E4 on Team (groupId, name, ctCollectionId);
create index IX_14857E95 on Team (uuid_, companyId, ctCollectionId);
create index IX_FC1CD5AF on Team (uuid_, ctCollectionId);
create unique index IX_1AAF62D7 on Team (uuid_, groupId, ctCollectionId);

create index IX_1E8DFB2E on Ticket (classNameId, classPK, type_);
create index IX_8BACD0AA on Ticket (companyId, classNameId, classPK, type_);
create index IX_B2468446 on Ticket (key_);

create index IX_E8AD6A2C on UserGroup (companyId, ctCollectionId);
create unique index IX_544FAE0D on UserGroup (companyId, externalReferenceCode, ctCollectionId);
create unique index IX_3F4FC96B on UserGroup (companyId, name, ctCollectionId);
create index IX_FFCDFCE5 on UserGroup (companyId, parentUserGroupId, ctCollectionId);
create index IX_9F5F49EC on UserGroup (uuid_, companyId, ctCollectionId);
create index IX_C990BAB8 on UserGroup (uuid_, ctCollectionId);

create index IX_CF59F0C1 on UserGroupGroupRole (groupId, ctCollectionId);
create index IX_61B91326 on UserGroupGroupRole (groupId, roleId, ctCollectionId);
create index IX_92E36EA on UserGroupGroupRole (roleId, ctCollectionId);
create index IX_663FBB6 on UserGroupGroupRole (userGroupId, ctCollectionId);
create index IX_451514B0 on UserGroupGroupRole (userGroupId, groupId, ctCollectionId);
create unique index IX_B384D815 on UserGroupGroupRole (userGroupId, groupId, roleId, ctCollectionId);

create index IX_813D2FD8 on UserGroupRole (groupId, ctCollectionId);
create index IX_AA134B3D on UserGroupRole (groupId, roleId, ctCollectionId);
create index IX_EEB38F3 on UserGroupRole (roleId, ctCollectionId);
create index IX_21D2A7C8 on UserGroupRole (userId, ctCollectionId);
create index IX_AA91DCDE on UserGroupRole (userId, groupId, ctCollectionId);
create unique index IX_F8059243 on UserGroupRole (userId, groupId, roleId, ctCollectionId);

create index IX_2AC5356C on UserGroups_Teams (companyId);
create index IX_7F187E63 on UserGroups_Teams (userGroupId);

create unique index IX_41A32E0D on UserIdMapper (type_, externalUserId);
create unique index IX_D1C44A6E on UserIdMapper (userId, type_);

create unique index IX_8B6E3ACE on UserNotificationDelivery (userId, portletId, classNameId, notificationType, deliveryType);

create index IX_BF29100B on UserNotificationEvent (type_);
create index IX_5CE95F03 on UserNotificationEvent (userId, actionRequired, archived);
create index IX_3DBB361A on UserNotificationEvent (userId, archived);
create index IX_9D34232F on UserNotificationEvent (userId, delivered, actionRequired, archived);
create index IX_BD8BD246 on UserNotificationEvent (userId, delivered, archived);
create index IX_C4EFBD45 on UserNotificationEvent (userId, deliveryType, actionRequired, archived);
create index IX_A87A585C on UserNotificationEvent (userId, deliveryType, archived);
create index IX_4BF3A7AD on UserNotificationEvent (userId, deliveryType, delivered, actionRequired, archived);
create index IX_93012C4 on UserNotificationEvent (userId, deliveryType, delivered, archived);
create index IX_7AFE83D7 on UserNotificationEvent (userId, type_, deliveryType, delivered, archived);
create index IX_A6BAFDFE on UserNotificationEvent (uuid_, companyId);

create index IX_29BA1CF5 on UserTracker (companyId);
create index IX_46B0AE8E on UserTracker (sessionId);
create index IX_E4EFBA8D on UserTracker (userId);

create index IX_14D8BCC0 on UserTrackerPath (userTrackerId);

create index IX_51338B6A on User_ (companyId, createDate, ctCollectionId);
create index IX_A09EEAB5 on User_ (companyId, createDate, modifiedDate, ctCollectionId);
create index IX_53E4FDAC on User_ (companyId, ctCollectionId);
create unique index IX_6C9F41D8 on User_ (companyId, emailAddress, ctCollectionId);
create unique index IX_210A2A8D on User_ (companyId, externalReferenceCode, ctCollectionId);
create index IX_F0BD8F61 on User_ (companyId, facebookId, ctCollectionId);
create index IX_66712F3F on User_ (companyId, googleUserId, ctCollectionId);
create index IX_79724177 on User_ (companyId, modifiedDate, ctCollectionId);
create index IX_952F78E5 on User_ (companyId, openId, ctCollectionId);
create unique index IX_EEC1E477 on User_ (companyId, screenName, ctCollectionId);
create index IX_BC478292 on User_ (companyId, status, ctCollectionId);
create index IX_E4BA9B25 on User_ (companyId, type_, ctCollectionId);
create index IX_B488970B on User_ (companyId, type_, status, ctCollectionId);
create unique index IX_C15FB5CF on User_ (contactId, ctCollectionId);
create index IX_E1D5EE24 on User_ (emailAddress, ctCollectionId);
create index IX_64D54302 on User_ (portraitId, ctCollectionId);
create index IX_B5A2C66C on User_ (uuid_, companyId, ctCollectionId);
create index IX_EA9E0E38 on User_ (uuid_, ctCollectionId);

create index IX_3499B657 on Users_Groups (companyId);
create index IX_F10B6C6B on Users_Groups (userId);

create index IX_5FBB883C on Users_Orgs (companyId);
create index IX_FB646CA6 on Users_Orgs (userId);

create index IX_F987A0DC on Users_Roles (companyId);
create index IX_C1A01806 on Users_Roles (userId);

create index IX_799F8283 on Users_Teams (companyId);
create index IX_A098EFBF on Users_Teams (userId);

create index IX_BB65040C on Users_UserGroups (companyId);
create index IX_66FF2503 on Users_UserGroups (userGroupId);

create index IX_30C7B8AD on VirtualHost (companyId, ctCollectionId);
create index IX_741D01F2 on VirtualHost (companyId, layoutSetId, ctCollectionId);
create index IX_6A3E4238 on VirtualHost (companyId, layoutSetId, defaultVirtualHost, ctCollectionId);
create unique index IX_76A64FBE on VirtualHost (hostname, ctCollectionId);
create index IX_1079582F on VirtualHost (layoutSetId, hostname, ctCollectionId);

create unique index IX_97DFA146 on WebDAVProps (classNameId, classPK);

create index IX_1AA07A6D on Website (companyId, classNameId, classPK, primary_);
create index IX_F75690BB on Website (userId);
create index IX_712BCD35 on Website (uuid_, companyId);

create index IX_6483FCD4 on WorkflowDefinitionLink (companyId, ctCollectionId);
create index IX_701BF76D on WorkflowDefinitionLink (companyId, workflowDefinitionName, workflowDefinitionVersion, ctCollectionId);
create index IX_B6C5C563 on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, ctCollectionId);
create index IX_65327B4C on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, typePK, ctCollectionId);
create index IX_5E9866FC on WorkflowDefinitionLink (groupId, companyId, classNameId, ctCollectionId);
create index IX_52C09F91 on WorkflowDefinitionLink (groupId, companyId, classPK, ctCollectionId);

create index IX_688A5865 on WorkflowInstanceLink (groupId, companyId, classNameId, classPK, ctCollectionId);
create index IX_6E4C09BA on WorkflowInstanceLink (groupId, companyId, classNameId, ctCollectionId);



